<?xml version="1.0" encoding="UTF-8" ?>

<Form version="1.3" maxVersion="1.9" type="org.netbeans.modules.form.forminfo.JPanelFormInfo">
  <NonVisualComponents>
    <Component class="javax.swing.JLabel" name="jLabel1">
      <Properties>
        <Property name="text" type="java.lang.String" value="jLabel1"/>
      </Properties>
    </Component>
  </NonVisualComponents>
  <AuxValues>
    <AuxValue name="FormSettings_autoResourcing" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_autoSetComponentName" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_generateFQN" type="java.lang.Boolean" value="true"/>
    <AuxValue name="FormSettings_generateMnemonicsCode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_i18nAutoMode" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_layoutCodeTarget" type="java.lang.Integer" value="1"/>
    <AuxValue name="FormSettings_listenerGenerationStyle" type="java.lang.Integer" value="0"/>
    <AuxValue name="FormSettings_variablesLocal" type="java.lang.Boolean" value="false"/>
    <AuxValue name="FormSettings_variablesModifier" type="java.lang.Integer" value="2"/>
  </AuxValues>

  <Layout>
    <DimensionLayout dim="0">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <Component id="jScrollPane1" max="32767" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                  </Group>
                  <Group type="102" attributes="0">
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" attributes="0">
                              <Component id="jLabel9" min="-2" max="-2" attributes="0"/>
                              <EmptySpace max="-2" attributes="0"/>
                              <Component id="edtPhone" pref="295" max="32767" attributes="0"/>
                          </Group>
                          <Group type="102" attributes="0">
                              <EmptySpace min="-2" pref="9" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="1" attributes="0">
                                  <Group type="102" alignment="1" attributes="0">
                                      <Component id="jLabel2" min="-2" max="-2" attributes="0"/>
                                      <EmptySpace max="32767" attributes="0"/>
                                      <Component id="jLabel3" min="-2" max="-2" attributes="0"/>
                                      <EmptySpace min="-2" pref="4" max="-2" attributes="0"/>
                                  </Group>
                                  <Group type="102" alignment="0" attributes="0">
                                      <Group type="103" groupAlignment="0" attributes="0">
                                          <Group type="102" alignment="0" attributes="0">
                                              <EmptySpace min="-2" pref="13" max="-2" attributes="0"/>
                                              <Component id="jLabel5" min="-2" max="-2" attributes="0"/>
                                          </Group>
                                          <Group type="102" alignment="0" attributes="0">
                                              <EmptySpace min="-2" pref="14" max="-2" attributes="0"/>
                                              <Component id="jLabel6" min="-2" max="-2" attributes="0"/>
                                          </Group>
                                      </Group>
                                      <EmptySpace max="-2" attributes="0"/>
                                      <Group type="103" groupAlignment="0" attributes="0">
                                          <Component id="edtLastname" max="32767" attributes="0"/>
                                          <Component id="edtName" max="32767" attributes="0"/>
                                      </Group>
                                  </Group>
                              </Group>
                          </Group>
                      </Group>
                      <EmptySpace min="-2" pref="211" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Component id="jLabel7" alignment="1" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel8" alignment="1" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" max="-2" attributes="0">
                          <Component id="edtPoint" max="32767" attributes="0"/>
                          <Component id="edtDate" min="-2" pref="259" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="-2" pref="69" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" max="-2" attributes="0">
                          <Component id="btnSave" alignment="1" max="32767" attributes="0"/>
                          <Component id="btnDelete" alignment="1" max="32767" attributes="0"/>
                          <Component id="btnEdit" alignment="1" max="32767" attributes="0"/>
                          <Component id="btnAdd" min="-2" pref="65" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="-2" pref="97" max="-2" attributes="0"/>
                  </Group>
              </Group>
          </Group>
      </Group>
    </DimensionLayout>
    <DimensionLayout dim="1">
      <Group type="103" groupAlignment="0" attributes="0">
          <Group type="102" alignment="0" attributes="0">
              <EmptySpace max="-2" attributes="0"/>
              <Group type="103" groupAlignment="0" attributes="0">
                  <Group type="102" attributes="0">
                      <EmptySpace min="-2" pref="32" max="-2" attributes="0"/>
                      <Component id="btnEdit" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="btnDelete" min="-2" max="-2" attributes="0"/>
                      <EmptySpace max="-2" attributes="0"/>
                      <Component id="btnSave" min="-2" max="-2" attributes="0"/>
                  </Group>
                  <Group type="102" attributes="0">
                      <Group type="103" groupAlignment="3" attributes="0">
                          <Component id="btnAdd" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel2" alignment="3" min="-2" max="-2" attributes="0"/>
                          <Component id="jLabel3" alignment="3" min="-2" max="-2" attributes="0"/>
                      </Group>
                      <EmptySpace min="-2" pref="1" max="-2" attributes="0"/>
                      <Group type="103" groupAlignment="0" attributes="0">
                          <Group type="102" alignment="0" attributes="0">
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="edtName" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="jLabel5" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace min="-2" pref="6" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="jLabel6" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="edtLastname" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace min="-2" pref="8" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="jLabel9" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="edtPhone" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                          <Group type="102" alignment="0" attributes="0">
                              <Group type="103" groupAlignment="3" attributes="0">
                                  <Component id="jLabel7" alignment="3" min="-2" max="-2" attributes="0"/>
                                  <Component id="edtPoint" alignment="3" min="-2" max="-2" attributes="0"/>
                              </Group>
                              <EmptySpace min="-2" pref="3" max="-2" attributes="0"/>
                              <Group type="103" groupAlignment="0" attributes="0">
                                  <Component id="jLabel8" min="-2" max="-2" attributes="0"/>
                                  <Component id="edtDate" alignment="0" min="-2" max="-2" attributes="0"/>
                              </Group>
                          </Group>
                      </Group>
                  </Group>
              </Group>
              <EmptySpace type="separate" max="-2" attributes="0"/>
              <Component id="jScrollPane1" pref="333" max="32767" attributes="0"/>
              <EmptySpace min="-2" pref="10" max="-2" attributes="0"/>
          </Group>
      </Group>
    </DimensionLayout>
  </Layout>
  <SubComponents>
    <Component class="javax.swing.JLabel" name="jLabel5">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="First Name:"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="edtName">
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel6">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Last Name:"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="edtLastname">
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel9">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Phone Number:"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="edtPhone">
    </Component>
    <Component class="javax.swing.JButton" name="btnEdit">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Edit"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnEditActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnDelete">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Delete"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnDeleteActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JButton" name="btnSave">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Save"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnSaveActionPerformed"/>
      </Events>
    </Component>
    <Container class="javax.swing.JScrollPane" name="jScrollPane1">
      <AuxValues>
        <AuxValue name="autoScrollPane" type="java.lang.Boolean" value="true"/>
      </AuxValues>

      <Layout class="org.netbeans.modules.form.compat2.layouts.support.JScrollPaneSupportLayout"/>
      <SubComponents>
        <Component class="javax.swing.JTable" name="tblCustomer">
          <Properties>
            <Property name="model" type="javax.swing.table.TableModel" editor="org.netbeans.modules.form.editors2.TableModelEditor">
              <Table columnCount="4" rowCount="4">
                <Column editable="true" title="Title 1" type="java.lang.Object"/>
                <Column editable="true" title="Title 2" type="java.lang.Object"/>
                <Column editable="true" title="Title 3" type="java.lang.Object"/>
                <Column editable="true" title="Title 4" type="java.lang.Object"/>
              </Table>
            </Property>
          </Properties>
        </Component>
      </SubComponents>
    </Container>
    <Component class="javax.swing.JButton" name="btnAdd">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Add"/>
      </Properties>
      <Events>
        <EventHandler event="actionPerformed" listener="java.awt.event.ActionListener" parameters="java.awt.event.ActionEvent" handler="btnAddActionPerformed"/>
      </Events>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel2">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Customer ID:"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel3">
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel7">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Point:"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="edtPoint">
    </Component>
    <Component class="javax.swing.JLabel" name="jLabel8">
      <Properties>
        <Property name="font" type="java.awt.Font" editor="org.netbeans.beaninfo.editors.FontEditor">
          <Font name="Tahoma" size="12" style="0"/>
        </Property>
        <Property name="text" type="java.lang.String" value="Date:"/>
      </Properties>
    </Component>
    <Component class="javax.swing.JTextField" name="edtDate">
    </Component>
  </SubComponents>
</Form>
